"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _axios = _interopRequireDefault(require("axios"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var GEO_API_URL = 'https://freegeoip.app/json/';
var PPP_API_URL = 'https://api.purchasing-power-parity.com/?target=';

var mapGeo = function mapGeo(response) {
  return {
    countryCodeIsoAlpha2: response.data.country_code,
    countryName: response.data.country_name
  };
};

var fetchGeo = function fetchGeo() {
  return _axios["default"].get(GEO_API_URL).then(mapGeo);
};

var mapPPP = function mapPPP(geo) {
  return function (response) {
    return _objectSpread({}, geo, {}, response.data.ppp);
  };
};

var fetchPPP = function fetchPPP(geo) {
  return _axios["default"].get("".concat(PPP_API_URL).concat(geo.countryCodeIsoAlpha2)).then(mapPPP(geo));
};

var _default = function _default() {
  return fetchGeo().then(fetchPPP);
};

exports["default"] = _default;